NX Open C++ Reference Guide
|
Provides methods for managing simulation objects CAE::SimSimulationObject in a sim part. More...
Classes | |
class | iterator |
Iterator for accessing the contents of the collection. More... | |
Public Member Functions | |
iterator | begin () |
Returns an iterator addressing the first element. | |
NXOpen::CAE::SimSimulationObject * | CreateSimulationObject (const NXString &descriptorName, const NXString &name) |
Creates a Simulation object for the simulation object descriptor passed. | |
NXOpen::CAE::SimSimulationObject * | CreateSimulationObject (const char *descriptorName, const char *name) |
Creates a Simulation object for the simulation object descriptor passed. | |
iterator | end () |
Returns an iterator addressing one past the last element. | |
NXOpen::CAE::SimSimulationObject * | FindObject (const NXString &journalIdentifier) |
Finds the CAE::SimSimulationObject with the given identifier as recorded in a journal. | |
NXOpen::CAE::SimSimulationObject * | FindObject (const char *journalIdentifier) |
Finds the CAE::SimSimulationObject with the given identifier as recorded in a journal. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Provides methods for managing simulation objects CAE::SimSimulationObject in a sim part.
To obtain an instance of this class, refer to CAE::SimSimulation
Created in NX4.0.0.
iterator NXOpen::CAE::SimSimulationObjectCollection::begin | ( | ) |
Returns an iterator addressing the first element.
NXOpen::CAE::SimSimulationObject* NXOpen::CAE::SimSimulationObjectCollection::CreateSimulationObject | ( | const NXString & | descriptorName, |
const NXString & | name | ||
) |
Creates a Simulation object for the simulation object descriptor passed.
@return simulation object created
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
descriptorName | name of the simulation object descriptor NOTE: The full Unicode character set is not supported for this parameter. |
name | name of the simulation object to be created |
NXOpen::CAE::SimSimulationObject* NXOpen::CAE::SimSimulationObjectCollection::CreateSimulationObject | ( | const char * | descriptorName, |
const char * | name | ||
) |
Creates a Simulation object for the simulation object descriptor passed.
@return simulation object created
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
descriptorName | name of the simulation object descriptor NOTE: The full Unicode character set is not supported for this parameter. |
name | name of the simulation object to be created |
iterator NXOpen::CAE::SimSimulationObjectCollection::end | ( | ) |
Returns an iterator addressing one past the last element.
NXOpen::CAE::SimSimulationObject* NXOpen::CAE::SimSimulationObjectCollection::FindObject | ( | const NXString & | journalIdentifier | ) |
Finds the CAE::SimSimulationObject with the given identifier as recorded in a journal.
An exception will be thrown if no object can be found with the given journal identifier. @return simulation object found
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
journalIdentifier | Identifier to be found |
NXOpen::CAE::SimSimulationObject* NXOpen::CAE::SimSimulationObjectCollection::FindObject | ( | const char * | journalIdentifier | ) |
Finds the CAE::SimSimulationObject with the given identifier as recorded in a journal.
An exception will be thrown if no object can be found with the given journal identifier. @return simulation object found
Created in NX4.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
journalIdentifier | Identifier to be found |
tag_t NXOpen::CAE::SimSimulationObjectCollection::Tag | ( | ) | const |
Returns the tag of this object.